(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 12.1' *)

(***************************************************************************)
(*                                                                         *)
(*                                                                         *)
(*  Under the Wolfram FreeCDF terms of use, this file and its content are  *)
(*  bound by the Creative Commons BY-SA Attribution-ShareAlike license.    *)
(*                                                                         *)
(*        For additional information concerning CDF licensing, see:        *)
(*                                                                         *)
(*         www.wolfram.com/cdf/adopting-cdf/licensing-options.html         *)
(*                                                                         *)
(*                                                                         *)
(***************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1088,         20]
NotebookDataLength[     50672,       1088]
NotebookOptionsPosition[     51173,       1084]
NotebookOutlinePosition[     51643,       1103]
CellTagsIndexPosition[     51600,       1100]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`ccons$$ = {1, 
    1}, $CellContext`coefpoli$$ = {1, 1}, $CellContext`condini$$ = {1, 
    1}, $CellContext`ev$$ = 10, $CellContext`grafica$$ = 
    True, $CellContext`nprof$$ = 8, $CellContext`solm$$ = 
    5, $CellContext`tipo$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[$CellContext`tipo$$], 0, 
       "Tipo de relaci\[OAcute]n de recurrencia"}, {
      0 -> "Homog\[EAcute]nea", 1 -> "No homog\[EAcute]nea"}}, {{
       Hold[$CellContext`ccons$$], {1, 1}, "Coeficientes constantes"}}, {{
       Hold[$CellContext`condini$$], {1, 1}, "Condiciones iniciales"}}, {{
       Hold[$CellContext`coefpoli$$], {1, 1}, 
       "Coeficientes del polinomio (orden decreciente)"}}, {{
       Hold[$CellContext`ev$$], 10, 
       "Cantidad de elementos a evaluar en la sucesi\[OAcute]n"}}, {
      Hold[
       Button["Evaluar", $CellContext`vl1 = 1]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Button[
       "No evaluar", $CellContext`vl1 = 0; $CellContext`grafica$$ = False]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`grafica$$], False, "Mostrar gr\[AAcute]fica"}, {
      True, False}}, {
      Hold[
       Style[
       "Velocidad de convergencia: {recursividad, m\[EAcute]todo matricial, \
iguales}", Bold]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`nprof$$], 5, "N\[UAcute]mero de pruebas"}, 5, 50, 
      1}, {
      Hold[
       Button["Ejecutar", $CellContext`vl2 = 1]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Button["Detener", $CellContext`vl2 = 0]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Style["Soluci\[OAcute]n de la relaci\[OAcute]n de recurrencia", Bold]],
       Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Button["Encontrar", $CellContext`vl3 = 1]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Button["Detener", $CellContext`vl3 = 0]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Style[
       "Soluci\[OAcute]n manual de la relaci\[OAcute]n de recurrencia", 
        Bold]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`solm$$], 5, "Valor de la soluci\[OAcute]n manual"}}, {
      Hold[
       Button["Encontrar", $CellContext`vl4 = 1]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Button["Detener", $CellContext`vl4 = 0]], 
      Manipulate`Dump`ThisIsNotAControl}}, Typeset`size$$ = {
    340., {142., 151.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`ccons$$ = {1, 
         1}, $CellContext`coefpoli$$ = {1, 1}, $CellContext`condini$$ = {1, 
         1}, $CellContext`ev$$ = 10, $CellContext`grafica$$ = 
        False, $CellContext`nprof$$ = 5, $CellContext`solm$$ = 
        5, $CellContext`tipo$$ = 0}, "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> If[
        And[
         VectorQ[$CellContext`ccons$$], 
         VectorQ[$CellContext`condini$$], 
         VectorQ[$CellContext`coefpoli$$], 
         IntegerQ[$CellContext`ev$$]], 
        If[
         And[
          NumberQ[
           Total[$CellContext`ccons$$]], 
          NumberQ[
           Total[$CellContext`condini$$]], 
          NumberQ[
           Total[$CellContext`coefpoli$$]]], 
         If[
          And[
          Length[$CellContext`ccons$$] == Length[$CellContext`condini$$], 
           Length[$CellContext`ccons$$] >= 2], 
          Column[{
            If[
             And[$CellContext`vl1 == 1, $CellContext`tipo$$ == 0], 
             Table[
              $CellContext`ElementoSucesionH[$CellContext`ccons$$, \
$CellContext`condini$$, $CellContext`valorsr], {$CellContext`valorsr, 
               0, $CellContext`ev$$ - 1}], 
             If[
              And[$CellContext`vl1 == 1, $CellContext`tipo$$ == 1], 
              Table[
               $CellContext`ElementoSucesionNH[$CellContext`ccons$$, \
$CellContext`condini$$, {
                 Dot[$CellContext`coefpoli$$, 
                  $CellContext`Polinomio[$CellContext`coefpoli$$]]}, \
$CellContext`valorsr], {$CellContext`valorsr, 0, $CellContext`ev$$ - 1}]]], 
            If[$CellContext`grafica$$, $CellContext`vl1 = 1; DiscretePlot[
               $CellContext`CrearRR[$CellContext`ccons$$, \
$CellContext`condini$$, $CellContext`coefpoli$$, $CellContext`valorsr], \
{$CellContext`valorsr, 0, $CellContext`ev$$ - 1}]], 
            If[$CellContext`vl2 == 1, 
             If[$CellContext`tipo$$ == 0, 
              $CellContext`PruebaH[$CellContext`nprof$$ - 
               1, $CellContext`ccons$$, $CellContext`condini$$], 
              $CellContext`PruebaNH[$CellContext`nprof$$ - 
               1, $CellContext`ccons$$, $CellContext`condini$$, {
                Dot[$CellContext`coefpoli$$, 
                 $CellContext`Polinomio[$CellContext`coefpoli$$]]}, \
$CellContext`coefpoli$$]]], 
            If[$CellContext`vl3 == 1, 
             If[$CellContext`tipo$$ == 0, 
              $CellContext`ResolRRH[$CellContext`ccons$$, \
$CellContext`condini$$], 
              $CellContext`ResolRRNH[$CellContext`ccons$$, \
$CellContext`condini$$, {
                Dot[$CellContext`coefpoli$$, 
                 $CellContext`Polinomio[$CellContext`coefpoli$$]]}]]], 
            If[$CellContext`vl4 == 1, 
             If[$CellContext`tipo$$ == 0, 
              $CellContext`SolveRRHM[$CellContext`solm$$ - 
               1, $CellContext`ccons$$, $CellContext`condini$$], 
              $CellContext`SolveRRNHM[$CellContext`solm$$ - 
               1, $CellContext`ccons$$, $CellContext`condini$$, {
                Dot[$CellContext`coefpoli$$, 
                 $CellContext`Polinomio[$CellContext`coefpoli$$]]}]]]}, 
           Center], "Error en las longitudes de los vectores"], 
         "Error, valor nulo en las componentes de los vectores"], \
$CellContext`ccons$$ = {1, 1}; $CellContext`condini$$ = {1, 
          1}; $CellContext`coefpoli$$ = {1, 1}; $CellContext`ev$$ = 1], 
      "Specifications" :> {{{$CellContext`tipo$$, 0, 
          "Tipo de relaci\[OAcute]n de recurrencia"}, {
         0 -> "Homog\[EAcute]nea", 1 -> "No homog\[EAcute]nea"}, ControlType -> 
         PopupMenu}, 
        Delimiter, {{$CellContext`ccons$$, {1, 1}, 
          "Coeficientes constantes"}}, {{$CellContext`condini$$, {1, 1}, 
          "Condiciones iniciales"}}, {{$CellContext`coefpoli$$, {1, 1}, 
          "Coeficientes del polinomio (orden decreciente)"}}, 
        Delimiter, {{$CellContext`ev$$, 10, 
          "Cantidad de elementos a evaluar en la sucesi\[OAcute]n"}}, 
        Button["Evaluar", $CellContext`vl1 = 1], 
        Button[
        "No evaluar", $CellContext`vl1 = 0; $CellContext`grafica$$ = 
          False], {{$CellContext`grafica$$, False, 
          "Mostrar gr\[AAcute]fica"}, {True, False}}, Delimiter, 
        Style[
        "Velocidad de convergencia: {recursividad, m\[EAcute]todo matricial, \
iguales}", Bold], {{$CellContext`nprof$$, 5, "N\[UAcute]mero de pruebas"}, 5, 
         50, 1}, 
        Button["Ejecutar", $CellContext`vl2 = 1], 
        Button["Detener", $CellContext`vl2 = 0], Delimiter, 
        Style["Soluci\[OAcute]n de la relaci\[OAcute]n de recurrencia", Bold], 
        Button["Encontrar", $CellContext`vl3 = 1], 
        Button["Detener", $CellContext`vl3 = 0], Delimiter, 
        Style[
        "Soluci\[OAcute]n manual de la relaci\[OAcute]n de recurrencia", 
         Bold], {{$CellContext`solm$$, 5, 
          "Valor de la soluci\[OAcute]n manual"}}, 
        Button["Encontrar", $CellContext`vl4 = 1], 
        Button["Detener", $CellContext`vl4 = 0]}, 
      "Options" :> {Alignment -> Center, FrameLabel -> {{None, None}, {
           Column[{
             Spacer[{400, 2}], 
             Row[{
               Style["Autor: Enrique V\[IAcute]lchez Quesada", Bold, 10, 
                RGBColor[0, 0.333333, 0]]}], 
             Row[{
               Style[
               "Escuela de Inform\[AAcute]tica | Universidad Nacional de \
Costa Rica", Bold, 10, 
                RGBColor[0.12, 0, 0.5]]}]}, Center], 
           Style["Relaciones de recurrencia", Bold, 
            RGBColor[0, 0.333333, 0]]}}}, "DefaultOptions" :> {}],
     ImageSizeCache->{1110., {492., 501.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(($CellContext`vl1 = 0; $CellContext`vl2 = 
       0; $CellContext`vl3 = 0; $CellContext`vl4 = 0; $CellContext`Polinomio[
         Pattern[$CellContext`h, 
          Blank[List]]] := 
       Module[{$CellContext`longitud = 
          Length[$CellContext`h]}, $CellContext`poly = {1}; 
         For[$CellContext`i = 
           1, $CellContext`i <= $CellContext`longitud - 1, $CellContext`poly = 
            Prepend[$CellContext`poly, $CellContext`n^$CellContext`i]; 
           Increment[$CellContext`i]]; 
         Return[$CellContext`poly]]; $CellContext`CrearRR[
         Pattern[$CellContext`coefcons, 
          Blank[List]], 
         Pattern[$CellContext`condiniini, 
          Blank[List]], 
         Pattern[$CellContext`ccoefpoli, 
          Blank[List]], 
         Pattern[$CellContext`vov, 
          Blank[]]] := 
       Module[{$CellContext`a, $CellContext`vectrr = {}, $CellContext`OPoli}, \
$CellContext`OPoli[
            Pattern[$CellContext`olh, 
             Blank[List]]] := 
          Module[{$CellContext`longitud = 
             Length[$CellContext`olh]}, $CellContext`opoly = {1}; 
            For[$CellContext`i = 
              1, $CellContext`i <= $CellContext`longitud - 
               1, $CellContext`opoly = 
               Prepend[$CellContext`opoly, ($CellContext`k - 
                  Length[$CellContext`coefcons])^$CellContext`i]; 
              Increment[$CellContext`i]]; Return[$CellContext`opoly]]; 
         For[$CellContext`i = 1, $CellContext`i <= 
           Length[$CellContext`coefcons], $CellContext`vectrr = 
            Prepend[$CellContext`vectrr, 
              $CellContext`a[$CellContext`k - $CellContext`i]]; 
           Increment[$CellContext`i]]; $CellContext`a[
            Pattern[$CellContext`p, 
             Blank[]]] := 
          Block[{$CellContext`k = $CellContext`p}, 
            Dot[$CellContext`vectrr, $CellContext`coefcons] + 
            Dot[$CellContext`ccoefpoli, 
              $CellContext`OPoli[$CellContext`ccoefpoli]]]; 
         For[$CellContext`i = 1, $CellContext`i <= 
           Length[$CellContext`condiniini], $CellContext`a[$CellContext`i - 
              1] = Part[$CellContext`condiniini, $CellContext`i]; 
           Increment[$CellContext`i]]; $CellContext`a[$CellContext`vov]]; \
$CellContext`ElementoSucesionH[
         Pattern[$CellContext`Coeficient, 
          Blank[List]], 
         Pattern[$CellContext`ConditionInitial, 
          Blank[List]], 
         Pattern[$CellContext`m, 
          Blank[]]] := 
       Module[{$CellContext`CD = 
          Reverse[$CellContext`ConditionInitial], $CellContext`h = Part[
             Dimensions[$CellContext`ConditionInitial], 1] - 
           1, $CellContext`Matriz}, $CellContext`Matriz[
            Pattern[$CellContext`Coeficientes, 
             Blank[List]], 
            Pattern[$CellContext`nn, 
             Blank[]]] := Module[{$CellContext`Identidad = IdentityMatrix[
               Part[
                Dimensions[$CellContext`Coeficientes], 
                1]], $CellContext`A = {$CellContext`Coeficientes}, \
$CellContext`i, $CellContext`CF}, 
            For[$CellContext`i = 1, $CellContext`i <= Part[
                 Dimensions[$CellContext`Coeficientes], 1] - 
               1, $CellContext`A = Append[$CellContext`A, 
                 Part[$CellContext`Identidad, $CellContext`i]]; 
              Increment[$CellContext`i]]; $CellContext`CF[
               Pattern[$CellContext`L, 
                Blank[List]], 
               Pattern[$CellContext`a, 
                Blank[]]] := 
             Block[{$CellContext`n = $CellContext`a}, $CellContext`L]; Return[
              $CellContext`CF[$CellContext`A, $CellContext`nn]]]; \
$CellContext`A[
            Pattern[$CellContext`n, 
             
             Blank[]]] := $CellContext`Matriz[$CellContext`Coeficient, \
$CellContext`n]; 
         If[$CellContext`m > $CellContext`h, $CellContext`Elemento = Dot[
              $CellContext`A[0], 
              Transpose[{$CellContext`CD}]]; 
           For[$CellContext`i = 
             1, $CellContext`i <= $CellContext`m - 1, $CellContext`Elemento = 
              Dot[
                $CellContext`A[$CellContext`i], $CellContext`Elemento]; 
             Increment[$CellContext`i]]; Return[
             Part[$CellContext`Elemento, $CellContext`h + 1, 1]], 
           Return[
            
            Part[$CellContext`ConditionInitial, $CellContext`m + 
             1]]]]; $CellContext`ElementoSucesionNH[
         Pattern[$CellContext`Coefi, 
          Blank[List]], 
         Pattern[$CellContext`ConditInitial, 
          Blank[List]], 
         Pattern[$CellContext`F, 
          Blank[List]], 
         Pattern[$CellContext`w, 
          Blank[]]] := Module[{$CellContext`nc = Part[
            Dimensions[$CellContext`Coefi], 
            1], $CellContext`ElementoSucesionH, $CellContext`Sumatoria}, \
$CellContext`ElementoSucesionH[
            Pattern[$CellContext`Coeficient, 
             Blank[List]], 
            Pattern[$CellContext`ConditionInitial, 
             Blank[List]], 
            Pattern[$CellContext`m, 
             Blank[]]] := 
          Module[{$CellContext`CD = 
             Reverse[$CellContext`ConditionInitial], $CellContext`h = Part[
                Dimensions[$CellContext`ConditionInitial], 1] - 
              1, $CellContext`Matriz}, $CellContext`Matriz[
               Pattern[$CellContext`Coeficientes, 
                Blank[List]], 
               Pattern[$CellContext`nn, 
                Blank[]]] := Module[{$CellContext`Identidad = IdentityMatrix[
                  Part[
                   Dimensions[$CellContext`Coeficientes], 
                   1]], $CellContext`A = {$CellContext`Coeficientes}, \
$CellContext`i, $CellContext`CF}, 
               For[$CellContext`i = 1, $CellContext`i <= Part[
                    Dimensions[$CellContext`Coeficientes], 1] - 
                  1, $CellContext`A = Append[$CellContext`A, 
                    Part[$CellContext`Identidad, $CellContext`i]]; 
                 Increment[$CellContext`i]]; $CellContext`CF[
                  Pattern[$CellContext`L, 
                   Blank[List]], 
                  Pattern[$CellContext`a, 
                   Blank[]]] := 
                Block[{$CellContext`n = $CellContext`a}, $CellContext`L]; 
               Return[
                 $CellContext`CF[$CellContext`A, $CellContext`nn]]]; \
$CellContext`A[
               Pattern[$CellContext`n, 
                
                Blank[]]] := $CellContext`Matriz[$CellContext`Coeficient, \
$CellContext`n]; 
            If[$CellContext`m > $CellContext`h, $CellContext`Elemento = Dot[
                 $CellContext`A[0], 
                 Transpose[{$CellContext`CD}]]; 
              For[$CellContext`i = 
                1, $CellContext`i <= $CellContext`m - 
                 1, $CellContext`Elemento = Dot[
                   $CellContext`A[$CellContext`i], $CellContext`Elemento]; 
                Increment[$CellContext`i]]; Return[
                Part[$CellContext`Elemento, $CellContext`h + 1, 1]], 
              Return[
               
               Part[$CellContext`ConditionInitial, $CellContext`m + 
                1]]]]; $CellContext`Sumatoria[
            Pattern[$CellContext`Coeficient, 
             Blank[List]], 
            Pattern[$CellContext`Funct, 
             Blank[List]], 
            Pattern[$CellContext`ww, 
             Blank[]]] := 
          Module[{$CellContext`Matriz, $CellContext`MatrizB, $CellContext`t = 
             Part[
               Dimensions[$CellContext`Coeficient], 
               1], $CellContext`Productoria, $CellContext`s}, \
$CellContext`Matriz[
               Pattern[$CellContext`Coeficientes, 
                Blank[List]], 
               Pattern[$CellContext`nn, 
                Blank[]]] := Module[{$CellContext`Identidad = IdentityMatrix[
                  Part[
                   Dimensions[$CellContext`Coeficientes], 
                   1]], $CellContext`A = {$CellContext`Coeficientes}, \
$CellContext`i, $CellContext`CF}, 
               For[$CellContext`i = 1, $CellContext`i <= Part[
                    Dimensions[$CellContext`Coeficientes], 1] - 
                  1, $CellContext`A = Append[$CellContext`A, 
                    Part[$CellContext`Identidad, $CellContext`i]]; 
                 Increment[$CellContext`i]]; $CellContext`CF[
                  Pattern[$CellContext`L, 
                   Blank[List]], 
                  Pattern[$CellContext`a, 
                   Blank[]]] := 
                Block[{$CellContext`n = $CellContext`a}, $CellContext`L]; 
               Return[
                 $CellContext`CF[$CellContext`A, $CellContext`nn]]]; \
$CellContext`A[
               Pattern[$CellContext`n, 
                
                Blank[]]] := $CellContext`Matriz[$CellContext`Coeficient, \
$CellContext`n]; $CellContext`MatrizB[
               Pattern[$CellContext`Funcion, 
                Blank[List]], 
               Pattern[$CellContext`filas, 
                Blank[]], 
               Pattern[$CellContext`nn, 
                Blank[]]] := 
             Module[{$CellContext`MB = 
                ConstantArray[0, {$CellContext`filas, 1}], $CellContext`CF}, 
               Part[$CellContext`MB, 1, 1] = 
                Part[$CellContext`Funcion, 1]; $CellContext`CF[
                  Pattern[$CellContext`L, 
                   Blank[List]], 
                  Pattern[$CellContext`a, 
                   Blank[]]] := 
                Block[{$CellContext`n = $CellContext`a}, $CellContext`L]; 
               Return[
                 $CellContext`CF[$CellContext`MB, $CellContext`nn]]]; \
$CellContext`B[
               Pattern[$CellContext`n, 
                
                Blank[]]] := $CellContext`MatrizB[$CellContext`Funct, \
$CellContext`t, $CellContext`n]; $CellContext`Productoria[
               Pattern[$CellContext`ini, 
                Blank[]], 
               Pattern[$CellContext`final, 
                Blank[]]] := Module[{$CellContext`i}, $CellContext`p = Dot[
                  $CellContext`A[$CellContext`ini], 
                  $CellContext`B[$CellContext`ini - 1]]; 
               For[$CellContext`i = $CellContext`ini + 
                  1, $CellContext`i <= $CellContext`final, $CellContext`p = 
                  Dot[
                    $CellContext`A[$CellContext`i], $CellContext`p]; 
                 Increment[$CellContext`i]]; 
               Return[$CellContext`p]]; $CellContext`s = Sum[
               $CellContext`Productoria[$CellContext`k, $CellContext`ww - 
                1], {$CellContext`k, 1, $CellContext`ww - 1}]; Return[
              Part[$CellContext`s, $CellContext`t, 1]]]; 
         If[$CellContext`w <= $CellContext`nc - 1, 
           $CellContext`ElementoSucesionH[$CellContext`Coefi, \
$CellContext`ConditInitial, $CellContext`w], 
           
           Return[$CellContext`ElementoSucesionH[$CellContext`Coefi, \
$CellContext`ConditInitial, $CellContext`w] + \
$CellContext`Sumatoria[$CellContext`Coefi, $CellContext`F, $CellContext`w]]]]; \
$CellContext`PruebaH[
         Pattern[$CellContext`m, 
          Blank[]], 
         Pattern[$CellContext`Con, 
          Blank[List]], 
         Pattern[$CellContext`Condici, 
          Blank[List]]] := 
       Module[{$CellContext`k, $CellContext`alr = 0, $CellContext`mt = 
          0, $CellContext`alm = 0}, 
         For[$CellContext`k = 0, $CellContext`k <= $CellContext`m, 
           ClearSystemCache[]; $CellContext`L1 = First[
              Timing[
               $CellContext`ElementoSucesionH[$CellContext`Con, \
$CellContext`Condici, $CellContext`k]]]; 
           ClearSystemCache[]; $CellContext`L2 = First[
              Timing[
               $CellContext`CrearRR[$CellContext`Con, $CellContext`Condici, 
                ConstantArray[0, 1], $CellContext`k]]]; If[
             
             And[$CellContext`L1 > $CellContext`L2, $CellContext`L1 != \
$CellContext`L2], 
             Increment[$CellContext`alr], 
             If[$CellContext`L1 == $CellContext`L2, 
              Increment[$CellContext`mt], 
              Increment[$CellContext`alm]]]; Increment[$CellContext`k]]; 
         Return[{$CellContext`alr, $CellContext`alm, $CellContext`mt}]]; \
$CellContext`PruebaNH[
         Pattern[$CellContext`m, 
          Blank[]], 
         Pattern[$CellContext`Con, 
          Blank[List]], 
         Pattern[$CellContext`Condici, 
          Blank[List]], 
         Pattern[$CellContext`Fun, 
          Blank[List]], 
         Pattern[$CellContext`coefpoli, 
          Blank[]]] := 
       Module[{$CellContext`k, $CellContext`alr = 0, $CellContext`mt = 
          0, $CellContext`alm = 0}, 
         For[$CellContext`k = 0, $CellContext`k <= $CellContext`m, 
           ClearSystemCache[]; $CellContext`L1 = First[
              Timing[
               $CellContext`ElementoSucesionNH[$CellContext`Con, \
$CellContext`Condici, {
                 Dot[$CellContext`coefpoli, 
                  $CellContext`Polinomio[$CellContext`coefpoli]]}, \
$CellContext`k]]]; ClearSystemCache[]; $CellContext`L2 = First[
              Timing[
               $CellContext`CrearRR[$CellContext`Con, $CellContext`Condici, \
$CellContext`coefpoli, $CellContext`k]]]; If[
             
             And[$CellContext`L1 > $CellContext`L2, $CellContext`L1 != \
$CellContext`L2], 
             Increment[$CellContext`alr], 
             If[$CellContext`L1 == $CellContext`L2, 
              Increment[$CellContext`mt], 
              Increment[$CellContext`alm]]]; Increment[$CellContext`k]]; 
         Return[{$CellContext`alr, $CellContext`alm, $CellContext`mt}]]; \
$CellContext`ResolRRH[
         Pattern[$CellContext`Co, 
          Blank[List]], 
         Pattern[$CellContext`Con, 
          Blank[List]]] := 
       Module[{$CellContext`ElementoSucesionH, $CellContext`SolveR, \
$CellContext`SolveRR}, $CellContext`ElementoSucesionH[
            Pattern[$CellContext`Coeficient, 
             Blank[List]], 
            Pattern[$CellContext`ConditionInitial, 
             Blank[List]], 
            Pattern[$CellContext`m, 
             Blank[]]] := 
          Module[{$CellContext`CD = 
             Reverse[$CellContext`ConditionInitial], $CellContext`h = Part[
                Dimensions[$CellContext`ConditionInitial], 1] - 
              1, $CellContext`Matriz}, $CellContext`Matriz[
               Pattern[$CellContext`Coeficientes, 
                Blank[List]], 
               Pattern[$CellContext`nn, 
                Blank[]]] := Module[{$CellContext`Identidad = IdentityMatrix[
                  Part[
                   Dimensions[$CellContext`Coeficientes], 
                   1]], $CellContext`A = {$CellContext`Coeficientes}, \
$CellContext`i, $CellContext`CF}, 
               For[$CellContext`i = 1, $CellContext`i <= Part[
                    Dimensions[$CellContext`Coeficientes], 1] - 
                  1, $CellContext`A = Append[$CellContext`A, 
                    Part[$CellContext`Identidad, $CellContext`i]]; 
                 Increment[$CellContext`i]]; $CellContext`CF[
                  Pattern[$CellContext`L, 
                   Blank[List]], 
                  Pattern[$CellContext`a, 
                   Blank[]]] := 
                Block[{$CellContext`n = $CellContext`a}, $CellContext`L]; 
               Return[
                 $CellContext`CF[$CellContext`A, $CellContext`nn]]]; \
$CellContext`A[
               Pattern[$CellContext`n, 
                
                Blank[]]] := $CellContext`Matriz[$CellContext`Coeficient, \
$CellContext`n]; 
            If[$CellContext`m > $CellContext`h, $CellContext`Elemento = Dot[
                 $CellContext`A[0], 
                 Transpose[{$CellContext`CD}]]; 
              For[$CellContext`i = 
                1, $CellContext`i <= $CellContext`m - 
                 1, $CellContext`Elemento = Dot[
                   $CellContext`A[$CellContext`i], $CellContext`Elemento]; 
                Increment[$CellContext`i]]; Return[
                Part[$CellContext`Elemento, $CellContext`h + 1, 1]], 
              Return[
               
               Part[$CellContext`ConditionInitial, $CellContext`m + 
                1]]]]; $CellContext`SolveR[
            Pattern[$CellContext`mm, 
             Blank[]], 
            Pattern[$CellContext`Coeficien, 
             Blank[List]], 
            Pattern[$CellContext`ConditionInitia, 
             Blank[List]], 
            Pattern[$CellContext`n, 
             Blank[]]] := 
          Module[{$CellContext`L = {}}, 
            For[$CellContext`i = 
              0, $CellContext`i <= $CellContext`mm, $CellContext`L = 
               Append[$CellContext`L, 
                 $CellContext`ElementoSucesionH[$CellContext`Coeficien, \
$CellContext`ConditionInitia, $CellContext`i]]; Increment[$CellContext`i]]; 
            Return[
              FunctionExpand[
               
               FindSequenceFunction[$CellContext`L, $CellContext`n]]]]; \
$CellContext`SolveRR[
            Pattern[$CellContext`m, 
             Blank[]], 
            Pattern[$CellContext`Coeficient, 
             Blank[List]], 
            Pattern[$CellContext`ConditionInitial, 
             Blank[List]], 
            Pattern[$CellContext`n, 
             Blank[]]] := 
          Module[{$CellContext`L = {}}, 
            For[$CellContext`i = 
              0, $CellContext`i <= $CellContext`m, $CellContext`L = 
               Append[$CellContext`L, 
                 $CellContext`ElementoSucesionH[$CellContext`Coeficient, \
$CellContext`ConditionInitial, $CellContext`i]]; Increment[$CellContext`i]]; 
            Return[
              FunctionExpand[
               
               FindSequenceFunction[$CellContext`L, $CellContext`n]]]]; \
$CellContext`j = 1; $CellContext`f[
            Pattern[$CellContext`n, 
             Blank[]]] := Evaluate[
            $CellContext`SolveR[$CellContext`j, $CellContext`Co, \
$CellContext`Con, $CellContext`n]]; While[NumericQ[
             $CellContext`f[1]] == False, 
           Increment[$CellContext`j]; $CellContext`f[
              Pattern[$CellContext`n, 
               Blank[]]] := Evaluate[
              $CellContext`SolveR[$CellContext`j, $CellContext`Co, \
$CellContext`Con, $CellContext`n]]; 
           If[$CellContext`j > 1000, 
             Print["Las ejecuciones superaron 1000 pruebas"]; 
             Break[]; $CellContext`j = 0]]; $CellContext`f[
            Pattern[$CellContext`n, 
             Blank[]]] := Evaluate[
            $CellContext`SolveRR[$CellContext`j, $CellContext`Co, \
$CellContext`Con, $CellContext`n]]; FullSimplify[
           $CellContext`f[$CellContext`n]]]; $CellContext`ResolRRNH[
         Pattern[$CellContext`Co, 
          Blank[List]], 
         Pattern[$CellContext`Con, 
          Blank[List]], 
         Pattern[$CellContext`Func, 
          Blank[List]]] := 
       Module[{$CellContext`ElementoSucesionNH, $CellContext`SolveR, \
$CellContext`SolveRR}, $CellContext`ElementoSucesionNH[
            Pattern[$CellContext`Coefi, 
             Blank[List]], 
            Pattern[$CellContext`ConditInitial, 
             Blank[List]], 
            Pattern[$CellContext`F, 
             Blank[List]], 
            Pattern[$CellContext`w, 
             Blank[]]] := Module[{$CellContext`nc = Part[
               Dimensions[$CellContext`Coefi], 
               1], $CellContext`ElementoSucesionH, $CellContext`Sumatoria}, \
$CellContext`ElementoSucesionH[
               Pattern[$CellContext`Coeficient, 
                Blank[List]], 
               Pattern[$CellContext`ConditionInitial, 
                Blank[List]], 
               Pattern[$CellContext`m, 
                Blank[]]] := 
             Module[{$CellContext`CD = 
                Reverse[$CellContext`ConditionInitial], $CellContext`h = Part[
                   Dimensions[$CellContext`ConditionInitial], 1] - 
                 1, $CellContext`Matriz}, $CellContext`Matriz[
                  Pattern[$CellContext`Coeficientes, 
                   Blank[List]], 
                  Pattern[$CellContext`nn, 
                   Blank[]]] := 
                Module[{$CellContext`Identidad = IdentityMatrix[
                    Part[
                    Dimensions[$CellContext`Coeficientes], 
                    1]], $CellContext`A = {$CellContext`Coeficientes}, \
$CellContext`i, $CellContext`CF}, 
                  For[$CellContext`i = 1, $CellContext`i <= Part[
                    Dimensions[$CellContext`Coeficientes], 1] - 
                    1, $CellContext`A = Append[$CellContext`A, 
                    Part[$CellContext`Identidad, $CellContext`i]]; 
                    Increment[$CellContext`i]]; $CellContext`CF[
                    Pattern[$CellContext`L, 
                    Blank[List]], 
                    Pattern[$CellContext`a, 
                    Blank[]]] := 
                   Block[{$CellContext`n = $CellContext`a}, $CellContext`L]; 
                  Return[
                    $CellContext`CF[$CellContext`A, $CellContext`nn]]]; \
$CellContext`A[
                  Pattern[$CellContext`n, 
                   
                   Blank[]]] := $CellContext`Matriz[$CellContext`Coeficient, \
$CellContext`n]; 
               If[$CellContext`m > $CellContext`h, $CellContext`Elemento = Dot[
                    $CellContext`A[0], 
                    Transpose[{$CellContext`CD}]]; 
                 For[$CellContext`i = 
                   1, $CellContext`i <= $CellContext`m - 
                    1, $CellContext`Elemento = Dot[
                    $CellContext`A[$CellContext`i], $CellContext`Elemento]; 
                   Increment[$CellContext`i]]; Return[
                   Part[$CellContext`Elemento, $CellContext`h + 1, 1]], 
                 Return[
                  
                  Part[$CellContext`ConditionInitial, $CellContext`m + 
                   1]]]]; $CellContext`Sumatoria[
               Pattern[$CellContext`Coeficient, 
                Blank[List]], 
               Pattern[$CellContext`Funct, 
                Blank[List]], 
               Pattern[$CellContext`ww, 
                Blank[]]] := 
             Module[{$CellContext`Matriz, $CellContext`MatrizB, \
$CellContext`t = Part[
                  Dimensions[$CellContext`Coeficient], 
                  1], $CellContext`Productoria, $CellContext`s}, \
$CellContext`Matriz[
                  Pattern[$CellContext`Coeficientes, 
                   Blank[List]], 
                  Pattern[$CellContext`nn, 
                   Blank[]]] := 
                Module[{$CellContext`Identidad = IdentityMatrix[
                    Part[
                    Dimensions[$CellContext`Coeficientes], 
                    1]], $CellContext`A = {$CellContext`Coeficientes}, \
$CellContext`i, $CellContext`CF}, 
                  For[$CellContext`i = 1, $CellContext`i <= Part[
                    Dimensions[$CellContext`Coeficientes], 1] - 
                    1, $CellContext`A = Append[$CellContext`A, 
                    Part[$CellContext`Identidad, $CellContext`i]]; 
                    Increment[$CellContext`i]]; $CellContext`CF[
                    Pattern[$CellContext`L, 
                    Blank[List]], 
                    Pattern[$CellContext`a, 
                    Blank[]]] := 
                   Block[{$CellContext`n = $CellContext`a}, $CellContext`L]; 
                  Return[
                    $CellContext`CF[$CellContext`A, $CellContext`nn]]]; \
$CellContext`A[
                  Pattern[$CellContext`n, 
                   
                   Blank[]]] := $CellContext`Matriz[$CellContext`Coeficient, \
$CellContext`n]; $CellContext`MatrizB[
                  Pattern[$CellContext`Funcion, 
                   Blank[List]], 
                  Pattern[$CellContext`filas, 
                   Blank[]], 
                  Pattern[$CellContext`nn, 
                   Blank[]]] := 
                Module[{$CellContext`MB = 
                   ConstantArray[
                    0, {$CellContext`filas, 1}], $CellContext`CF}, 
                  Part[$CellContext`MB, 1, 1] = 
                   Part[$CellContext`Funcion, 1]; $CellContext`CF[
                    Pattern[$CellContext`L, 
                    Blank[List]], 
                    Pattern[$CellContext`a, 
                    Blank[]]] := 
                   Block[{$CellContext`n = $CellContext`a}, $CellContext`L]; 
                  Return[
                    $CellContext`CF[$CellContext`MB, $CellContext`nn]]]; \
$CellContext`B[
                  Pattern[$CellContext`n, 
                   
                   Blank[]]] := $CellContext`MatrizB[$CellContext`Funct, \
$CellContext`t, $CellContext`n]; $CellContext`Productoria[
                  Pattern[$CellContext`ini, 
                   Blank[]], 
                  Pattern[$CellContext`final, 
                   Blank[]]] := Module[{$CellContext`i}, $CellContext`p = Dot[
                    $CellContext`A[$CellContext`ini], 
                    $CellContext`B[$CellContext`ini - 1]]; 
                  For[$CellContext`i = $CellContext`ini + 
                    1, $CellContext`i <= $CellContext`final, $CellContext`p = 
                    Dot[
                    $CellContext`A[$CellContext`i], $CellContext`p]; 
                    Increment[$CellContext`i]]; 
                  Return[$CellContext`p]]; $CellContext`s = Sum[
                  $CellContext`Productoria[$CellContext`k, $CellContext`ww - 
                   1], {$CellContext`k, 1, $CellContext`ww - 1}]; Return[
                 Part[$CellContext`s, $CellContext`t, 1]]]; 
            If[$CellContext`w <= $CellContext`nc - 1, 
              $CellContext`ElementoSucesionH[$CellContext`Coefi, \
$CellContext`ConditInitial, $CellContext`w], 
              
              Return[$CellContext`ElementoSucesionH[$CellContext`Coefi, \
$CellContext`ConditInitial, $CellContext`w] + \
$CellContext`Sumatoria[$CellContext`Coefi, $CellContext`F, $CellContext`w]]]]; \
$CellContext`SolveR[
            Pattern[$CellContext`mm, 
             Blank[]], 
            Pattern[$CellContext`Coeficien, 
             Blank[List]], 
            Pattern[$CellContext`ConditionInitia, 
             Blank[List]], 
            Pattern[$CellContext`Fun, 
             Blank[List]], 
            Pattern[$CellContext`n, 
             Blank[]]] := 
          Module[{$CellContext`L = {}}, 
            For[$CellContext`i = 
              0, $CellContext`i <= $CellContext`mm, $CellContext`L = 
               Append[$CellContext`L, 
                 $CellContext`ElementoSucesionNH[$CellContext`Coeficien, \
$CellContext`ConditionInitia, $CellContext`Fun, $CellContext`i]]; 
              Increment[$CellContext`i]]; Return[
              FunctionExpand[
               
               FindSequenceFunction[$CellContext`L, $CellContext`n]]]]; \
$CellContext`SolveRR[
            Pattern[$CellContext`m, 
             Blank[]], 
            Pattern[$CellContext`Coeficient, 
             Blank[List]], 
            Pattern[$CellContext`ConditionInitial, 
             Blank[List]], 
            Pattern[$CellContext`Fun, 
             Blank[List]], 
            Pattern[$CellContext`n, 
             Blank[]]] := 
          Module[{$CellContext`L = {}}, 
            For[$CellContext`i = 
              0, $CellContext`i <= $CellContext`m, $CellContext`L = 
               Append[$CellContext`L, 
                 $CellContext`ElementoSucesionNH[$CellContext`Coeficient, \
$CellContext`ConditionInitial, $CellContext`Fun, $CellContext`i]]; 
              Increment[$CellContext`i]]; Return[
              FunctionExpand[
               
               FindSequenceFunction[$CellContext`L, $CellContext`n]]]]; \
$CellContext`j = 1; $CellContext`f[
            Pattern[$CellContext`n, 
             Blank[]]] := Evaluate[
            $CellContext`SolveR[$CellContext`j, $CellContext`Co, \
$CellContext`Con, $CellContext`Func, $CellContext`n]]; While[NumericQ[
             $CellContext`f[1]] == False, 
           Increment[$CellContext`j]; $CellContext`f[
              Pattern[$CellContext`n, 
               Blank[]]] := Evaluate[
              $CellContext`SolveR[$CellContext`j, $CellContext`Co, \
$CellContext`Con, $CellContext`Func, $CellContext`n]]; 
           If[$CellContext`j > 1000, 
             Print["Las ejecuciones superaron 1000 pruebas"]; 
             Break[]; $CellContext`j = 0]]; $CellContext`f[
            Pattern[$CellContext`n, 
             Blank[]]] := Evaluate[
            $CellContext`SolveRR[$CellContext`j, $CellContext`Co, \
$CellContext`Con, $CellContext`Func, $CellContext`n]]; FullSimplify[
           $CellContext`f[$CellContext`n]]]; $CellContext`SolveRRHM[
         Pattern[$CellContext`mm, 
          Blank[]], 
         Pattern[$CellContext`Coeficien, 
          Blank[List]], 
         Pattern[$CellContext`ConditionInitia, 
          Blank[List]]] := 
       Module[{$CellContext`L = {}, $CellContext`ElementoSucesionH}, \
$CellContext`ElementoSucesionH[
            Pattern[$CellContext`Coeficient, 
             Blank[List]], 
            Pattern[$CellContext`ConditionInitial, 
             Blank[List]], 
            Pattern[$CellContext`m, 
             Blank[]]] := 
          Module[{$CellContext`CD = 
             Reverse[$CellContext`ConditionInitial], $CellContext`h = Part[
                Dimensions[$CellContext`ConditionInitial], 1] - 
              1, $CellContext`Matriz}, $CellContext`Matriz[
               Pattern[$CellContext`Coeficientes, 
                Blank[List]], 
               Pattern[$CellContext`nn, 
                Blank[]]] := Module[{$CellContext`Identidad = IdentityMatrix[
                  Part[
                   Dimensions[$CellContext`Coeficientes], 
                   1]], $CellContext`A = {$CellContext`Coeficientes}, \
$CellContext`i, $CellContext`CF}, 
               For[$CellContext`i = 1, $CellContext`i <= Part[
                    Dimensions[$CellContext`Coeficientes], 1] - 
                  1, $CellContext`A = Append[$CellContext`A, 
                    Part[$CellContext`Identidad, $CellContext`i]]; 
                 Increment[$CellContext`i]]; $CellContext`CF[
                  Pattern[$CellContext`L, 
                   Blank[List]], 
                  Pattern[$CellContext`a, 
                   Blank[]]] := 
                Block[{$CellContext`n = $CellContext`a}, $CellContext`L]; 
               Return[
                 $CellContext`CF[$CellContext`A, $CellContext`nn]]]; \
$CellContext`A[
               Pattern[$CellContext`n, 
                
                Blank[]]] := $CellContext`Matriz[$CellContext`Coeficient, \
$CellContext`n]; 
            If[$CellContext`m > $CellContext`h, $CellContext`Elemento = Dot[
                 $CellContext`A[0], 
                 Transpose[{$CellContext`CD}]]; 
              For[$CellContext`i = 
                1, $CellContext`i <= $CellContext`m - 
                 1, $CellContext`Elemento = Dot[
                   $CellContext`A[$CellContext`i], $CellContext`Elemento]; 
                Increment[$CellContext`i]]; Return[
                Part[$CellContext`Elemento, $CellContext`h + 1, 1]], 
              Return[
               Part[$CellContext`ConditionInitial, $CellContext`m + 1]]]]; 
         For[$CellContext`i = 
           0, $CellContext`i <= $CellContext`mm, $CellContext`L = 
            Append[$CellContext`L, 
              $CellContext`ElementoSucesionH[$CellContext`Coeficien, \
$CellContext`ConditionInitia, $CellContext`i]]; Increment[$CellContext`i]]; 
         Return[
           FullSimplify[
            FunctionExpand[
             
             FindSequenceFunction[$CellContext`L, $CellContext`n]]]]]; \
$CellContext`SolveRRNHM[
         Pattern[$CellContext`mm, 
          Blank[]], 
         Pattern[$CellContext`Coef, 
          Blank[List]], 
         Pattern[$CellContext`ConIn, 
          Blank[List]], 
         Pattern[$CellContext`Fun, 
          Blank[List]]] := 
       Module[{$CellContext`L = {}, $CellContext`ElementoSucesionNH}, \
$CellContext`ElementoSucesionNH[
            Pattern[$CellContext`Coefi, 
             Blank[List]], 
            Pattern[$CellContext`ConditInitial, 
             Blank[List]], 
            Pattern[$CellContext`F, 
             Blank[List]], 
            Pattern[$CellContext`w, 
             Blank[]]] := Module[{$CellContext`nc = Part[
               Dimensions[$CellContext`Coefi], 
               1], $CellContext`ElementoSucesionH, $CellContext`Sumatoria}, \
$CellContext`ElementoSucesionH[
               Pattern[$CellContext`Coeficient, 
                Blank[List]], 
               Pattern[$CellContext`ConditionInitial, 
                Blank[List]], 
               Pattern[$CellContext`m, 
                Blank[]]] := 
             Module[{$CellContext`CD = 
                Reverse[$CellContext`ConditionInitial], $CellContext`h = Part[
                   Dimensions[$CellContext`ConditionInitial], 1] - 
                 1, $CellContext`Matriz}, $CellContext`Matriz[
                  Pattern[$CellContext`Coeficientes, 
                   Blank[List]], 
                  Pattern[$CellContext`nn, 
                   Blank[]]] := 
                Module[{$CellContext`Identidad = IdentityMatrix[
                    Part[
                    Dimensions[$CellContext`Coeficientes], 
                    1]], $CellContext`A = {$CellContext`Coeficientes}, \
$CellContext`i, $CellContext`CF}, 
                  For[$CellContext`i = 1, $CellContext`i <= Part[
                    Dimensions[$CellContext`Coeficientes], 1] - 
                    1, $CellContext`A = Append[$CellContext`A, 
                    Part[$CellContext`Identidad, $CellContext`i]]; 
                    Increment[$CellContext`i]]; $CellContext`CF[
                    Pattern[$CellContext`L, 
                    Blank[List]], 
                    Pattern[$CellContext`a, 
                    Blank[]]] := 
                   Block[{$CellContext`n = $CellContext`a}, $CellContext`L]; 
                  Return[
                    $CellContext`CF[$CellContext`A, $CellContext`nn]]]; \
$CellContext`A[
                  Pattern[$CellContext`n, 
                   
                   Blank[]]] := $CellContext`Matriz[$CellContext`Coeficient, \
$CellContext`n]; 
               If[$CellContext`m > $CellContext`h, $CellContext`Elemento = Dot[
                    $CellContext`A[0], 
                    Transpose[{$CellContext`CD}]]; 
                 For[$CellContext`i = 
                   1, $CellContext`i <= $CellContext`m - 
                    1, $CellContext`Elemento = Dot[
                    $CellContext`A[$CellContext`i], $CellContext`Elemento]; 
                   Increment[$CellContext`i]]; Return[
                   Part[$CellContext`Elemento, $CellContext`h + 1, 1]], 
                 Return[
                  
                  Part[$CellContext`ConditionInitial, $CellContext`m + 
                   1]]]]; $CellContext`Sumatoria[
               Pattern[$CellContext`Coeficient, 
                Blank[List]], 
               Pattern[$CellContext`Funct, 
                Blank[List]], 
               Pattern[$CellContext`ww, 
                Blank[]]] := 
             Module[{$CellContext`Matriz, $CellContext`MatrizB, \
$CellContext`t = Part[
                  Dimensions[$CellContext`Coeficient], 
                  1], $CellContext`Productoria, $CellContext`s}, \
$CellContext`Matriz[
                  Pattern[$CellContext`Coeficientes, 
                   Blank[List]], 
                  Pattern[$CellContext`nn, 
                   Blank[]]] := 
                Module[{$CellContext`Identidad = IdentityMatrix[
                    Part[
                    Dimensions[$CellContext`Coeficientes], 
                    1]], $CellContext`A = {$CellContext`Coeficientes}, \
$CellContext`i, $CellContext`CF}, 
                  For[$CellContext`i = 1, $CellContext`i <= Part[
                    Dimensions[$CellContext`Coeficientes], 1] - 
                    1, $CellContext`A = Append[$CellContext`A, 
                    Part[$CellContext`Identidad, $CellContext`i]]; 
                    Increment[$CellContext`i]]; $CellContext`CF[
                    Pattern[$CellContext`L, 
                    Blank[List]], 
                    Pattern[$CellContext`a, 
                    Blank[]]] := 
                   Block[{$CellContext`n = $CellContext`a}, $CellContext`L]; 
                  Return[
                    $CellContext`CF[$CellContext`A, $CellContext`nn]]]; \
$CellContext`A[
                  Pattern[$CellContext`n, 
                   
                   Blank[]]] := $CellContext`Matriz[$CellContext`Coeficient, \
$CellContext`n]; $CellContext`MatrizB[
                  Pattern[$CellContext`Funcion, 
                   Blank[List]], 
                  Pattern[$CellContext`filas, 
                   Blank[]], 
                  Pattern[$CellContext`nn, 
                   Blank[]]] := 
                Module[{$CellContext`MB = 
                   ConstantArray[
                    0, {$CellContext`filas, 1}], $CellContext`CF}, 
                  Part[$CellContext`MB, 1, 1] = 
                   Part[$CellContext`Funcion, 1]; $CellContext`CF[
                    Pattern[$CellContext`L, 
                    Blank[List]], 
                    Pattern[$CellContext`a, 
                    Blank[]]] := 
                   Block[{$CellContext`n = $CellContext`a}, $CellContext`L]; 
                  Return[
                    $CellContext`CF[$CellContext`MB, $CellContext`nn]]]; \
$CellContext`B[
                  Pattern[$CellContext`n, 
                   
                   Blank[]]] := $CellContext`MatrizB[$CellContext`Funct, \
$CellContext`t, $CellContext`n]; $CellContext`Productoria[
                  Pattern[$CellContext`ini, 
                   Blank[]], 
                  Pattern[$CellContext`final, 
                   Blank[]]] := Module[{$CellContext`i}, $CellContext`p = Dot[
                    $CellContext`A[$CellContext`ini], 
                    $CellContext`B[$CellContext`ini - 1]]; 
                  For[$CellContext`i = $CellContext`ini + 
                    1, $CellContext`i <= $CellContext`final, $CellContext`p = 
                    Dot[
                    $CellContext`A[$CellContext`i], $CellContext`p]; 
                    Increment[$CellContext`i]]; 
                  Return[$CellContext`p]]; $CellContext`s = Sum[
                  $CellContext`Productoria[$CellContext`k, $CellContext`ww - 
                   1], {$CellContext`k, 1, $CellContext`ww - 1}]; Return[
                 Part[$CellContext`s, $CellContext`t, 1]]]; 
            If[$CellContext`w <= $CellContext`nc - 1, 
              $CellContext`ElementoSucesionH[$CellContext`Coefi, \
$CellContext`ConditInitial, $CellContext`w], 
              
              Return[$CellContext`ElementoSucesionH[$CellContext`Coefi, \
$CellContext`ConditInitial, $CellContext`w] + \
$CellContext`Sumatoria[$CellContext`Coefi, $CellContext`F, $CellContext`w]]]]; 
         For[$CellContext`i = 
           0, $CellContext`i <= $CellContext`mm, $CellContext`L = 
            Append[$CellContext`L, 
              $CellContext`ElementoSucesionNH[$CellContext`Coef, \
$CellContext`ConIn, $CellContext`Fun, $CellContext`i]]; 
           Increment[$CellContext`i]]; Return[
           FullSimplify[
            FunctionExpand[
             FindSequenceFunction[$CellContext`L, $CellContext`n]]]]]); 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.6531314740016575`*^9, 3.65313254309381*^9, 3.653132837694275*^9, 
   3.6531332586485662`*^9, 3.6531336755997972`*^9, 3.65313371566431*^9, 
   3.653133798961234*^9, 3.653134096391549*^9, 3.65313423647348*^9, 
   3.653134381143277*^9, 3.6531344374634666`*^9, 3.653134472794626*^9, 
   3.653134873659783*^9, {3.6531349329694376`*^9, 3.6531349534685297`*^9}, 
   3.6531350449248176`*^9, 3.6531351828537006`*^9, 3.6531352399872975`*^9, {
   3.6531353315108747`*^9, 3.6531353501762357`*^9}, 3.6531354155491276`*^9, 
   3.6531356831534224`*^9, 3.6531357665889044`*^9, 3.653136083592054*^9, 
   3.6531361826883717`*^9, 3.6531365481556973`*^9, 3.6531367033939285`*^9, 
   3.653137129682522*^9, 3.6531371831386824`*^9, 3.6531374068545284`*^9, 
   3.6531375747244186`*^9, 3.653137663138836*^9, 3.6531377708545876`*^9, 
   3.653137982149247*^9, {3.668640058983637*^9, 3.668640075989786*^9}, {
   3.801156638068327*^9, 
   3.8011566485285597`*^9}},ExpressionUUID->"088e3c1b-491f-4d36-b56b-\
8d397e32cc5a"]
},
Editable->False,
WindowSize->{1350, 669},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowCellBracket->False,
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"a25651bf-7fe0-4c9c-8a95-8b551120a4b2"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[1488, 33, 49681, 1049, 1021, "Output",ExpressionUUID->"088e3c1b-491f-4d36-b56b-8d397e32cc5a"]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature Kv0xD1a#42XXKBgScpxtiovI *)
